Seven Stars

Unsupported major.minor version 52.0

Exception in thread "main" java.lang.UnsupportedClassVersionError: hpi_ice_dev_proj/kai_shipment_mdas_merge_0_1/KAI_SHIPMENT_MDAS_MERGE : Unsupported major.minor version 52.0

I am getting the above error while running a bigdata job in cluster.

attaching the configuration screenshots.

please help me.

 

2 ACCEPTED SOLUTIONS

Accepted Solutions
Moderator

Re: Unsupported major.minor version 52.0

Hello,

Please make sure that  you are using the same java version for your hadoop cluster and talend studio.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Seven Stars

Re: Unsupported major.minor version 52.0

Hi,

 

In the hadoop cluster the java version was 1.7 and talend was compiling code with 1.8 java

I downgraded the talend code compilation to 1.7 and jobs ran successfully in cluster .

 

compilation_version_Java_change.jpg

3 REPLIES
Moderator

Re: Unsupported major.minor version 52.0

Hello,

Please make sure that  you are using the same java version for your hadoop cluster and talend studio.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Seven Stars

Re: Unsupported major.minor version 52.0

Hi,

 

In the hadoop cluster the java version was 1.7 and talend was compiling code with 1.8 java

I downgraded the talend code compilation to 1.7 and jobs ran successfully in cluster .

 

compilation_version_Java_change.jpg

Moderator

Re: Unsupported major.minor version 52.0

Hi,

Have you tried to use java 1.8 in hadoop cluster server to see if it works? Downgrading the talend code compilation to 1.7 might cause other compile error in studio.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.